<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.activity.mapper.ActivityParticipateRecordMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="org.springblade.activity.entity.ActivityParticipateRecord">
        <id column="id" property="id" />
        <result column="activity_uuid" property="activityUuid" />
        <result column="activity_name" property="activityName" />
        <result column="activity_type" property="activityType" />
        <result column="participate_phone" property="participatePhone" />
        <result column="participate_goods" property="participateGoods" />
        <result column="participate_channel" property="participateChannel" />
        <result column="participate_time" property="participateTime" />
        <result column="is_hit" property="isHit" />
        <result column="is_order" property="isOrder" />
        <result column="ip_address" property="ipAddress" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, activity_id, activity_name, activity_type, participate_phone, participate_goods, participate_channel, participate_time, is_hit, is_order
    </sql>

</mapper>
